[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FPCanvas' (#fcl)

# TFPPenMode

TFPPenMode - Black, White, Nop, Not, Copy, NotCopy, MergePenNot, MaskPenNot, MergeNotPen, MaskNotPen, Merge, NotMerge, Mask, NotMask, Xor, NotXor

## Declaration

Source position: fpcanvas.pp line 107

`type TFPPenMode = (`
`pmBlack,` |  |
`pmWhite,` |  |
`pmNop,` |  |
`pmNot,` |  |
`pmCopy,` |  |
`pmNotCopy,` |  |
`pmMergePenNot,` |  |
`pmMaskPenNot,` |  |
`pmMergeNotPen,` |  |
`pmMaskNotPen,` |  |
`pmMerge,` |  |
`pmNotMerge,` |  |
`pmMask,` |  |
`pmNotMask,` |  |
`pmXor,` |  |
`pmNotXor` |  |
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.